## org.apache.myfaces.renderkit.html
Class HtmlMessageRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlMessageRendererBase

Direct Known Subclasses:
  HtmlMessageRenderer, HtmlMessagesRendererBase

public abstract class HtmlMessageRendererBase
extends HtmlRenderer

Version:
  $Revision: 215972 $ $Date: 2005-07-12 11:55:36 -0400 (Tue, 12 Jul 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Constructor Summary
`HtmlMessageRendererBase()`

Method Summary
`protected abstract java.lang.String` `getDetail(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent message, javax.faces.application.FacesMessage facesMessage, java.lang.String msgClientId)`
`protected java.lang.String` `getFor(javax.faces.component.UIComponent component)`
`protected java.lang.String[]` `getStyleAndStyleClass(javax.faces.component.UIComponent message, javax.faces.application.FacesMessage.Severity severity)`
`protected abstract java.lang.String` `getSummary(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent message, javax.faces.application.FacesMessage facesMessage, java.lang.String msgClientId)`
`protected java.lang.String` `getTitle(javax.faces.component.UIComponent component)`
`protected boolean` `isShowDetail(javax.faces.component.UIComponent component)`
`protected boolean` `isShowSummary(javax.faces.component.UIComponent component)`
`protected boolean` `isTooltip(javax.faces.component.UIComponent component)`
`protected void` `renderMessage(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent message)`
`protected void` `renderSingleFacesMessage(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent message, javax.faces.application.FacesMessage facesMessage, java.lang.String messageClientId)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, encodeBegin, encodeEnd, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlMessageRendererBase

    public HtmlMessageRendererBase()

Method Detail

### getSummary

    protected abstract java.lang.String getSummary(javax.faces.context.FacesContext facesContext,
                                                   javax.faces.component.UIComponent message,
                                                   javax.faces.application.FacesMessage facesMessage,
                                                   java.lang.String msgClientId)

### getDetail

    protected abstract java.lang.String getDetail(javax.faces.context.FacesContext facesContext,
                                                  javax.faces.component.UIComponent message,
                                                  javax.faces.application.FacesMessage facesMessage,
                                                  java.lang.String msgClientId)

### renderMessage

    protected void renderMessage(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent message)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderSingleFacesMessage

    protected void renderSingleFacesMessage(javax.faces.context.FacesContext facesContext,
                                            javax.faces.component.UIComponent message,
                                            javax.faces.application.FacesMessage facesMessage,
                                            java.lang.String messageClientId)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getStyleAndStyleClass

    protected java.lang.String[] getStyleAndStyleClass(javax.faces.component.UIComponent message,
                                                       javax.faces.application.FacesMessage.Severity severity)

### getFor

    protected java.lang.String getFor(javax.faces.component.UIComponent component)

### getTitle

    protected java.lang.String getTitle(javax.faces.component.UIComponent component)

### isTooltip

    protected boolean isTooltip(javax.faces.component.UIComponent component)

### isShowSummary

    protected boolean isShowSummary(javax.faces.component.UIComponent component)

### isShowDetail

    protected boolean isShowDetail(javax.faces.component.UIComponent component)